/home/techb158/.nvm/test/sourcing
NameSizeModeActions
setup3730775editdlrm
Sourcing nvm.sh global alias bug8630775editdlrm
Sourcing nvm.sh should keep version if one is active5920775editdlrm
Sourcing nvm.sh should use the default if available and no nvm node is loaded11540775editdlrm
Sourcing nvm.sh with --install and .nvmrc should install it8500775editdlrm
Sourcing nvm.sh with --install should install the default10290775editdlrm
Sourcing nvm.sh with --no-use should not use anything9920775editdlrm
Sourcing nvm.sh with no default should return 03140775editdlrm
teardown1120775editdlrm
Edit: /home/techb158/.nvm/test/sourcing/Sourcing nvm.sh with --install should install the default (1029B)
#!/bin/sh \. ../common.sh die () { echo "$@" ; exit 1; } supports_source_options () { [ "_$(echo 'echo $1' | . /dev/stdin yes)" = "_yes" ] } if ! supports_source_options; then echo 'this shell does not support passing options on sourcing' exit 0; fi echo '0.10.2' > ../../alias/default || die 'creation of default alias failed' echo 'sourcing nvm with --install...' \. ../../nvm.sh --install EXIT_CODE="$(echo $?)" echo 'sourcing complete.' nvm_version 0.10.2 >/dev/null 2>&1 || die "v0.10.2 not installed: $(nvm ls)" [ "_$EXIT_CODE" = "_0" ] || die "sourcing returned nonzero exit code: $EXIT_CODE" NVM_LS_CURRENT="$(nvm ls current | strip_colors | command grep -o v0.10.2)" [ "_$NVM_LS_CURRENT" = '_v0.10.2' ] || die "'nvm ls current' did not return '-> v0.10.2', got '$NVM_LS_CURRENT'" NVM_ALIAS_DEFAULT="$(nvm alias default | strip_colors)" [ "_$NVM_ALIAS_DEFAULT" = "_default -> 0.10.2 (-> v0.10.2)" ] \ || die "'nvm alias default did not return 'default -> 0.10.2 (-> v0.10.2)', got '$NVM_ALIAS_DEFAULT'"